package com.acme.structure.exception.main;

import com.acme.structure.exception.base.ApplicationException;
import com.acme.structure.exception.base.InfrastructureException;

public class MultipleOptionSelectedException extends InfrastructureException
{
    private String optionName;

    public MultipleOptionSelectedException(String optionName)
    {
        this.optionName = optionName;
        exceptionCode = "18";
        exceptionType = ApplicationException.EXCEPTION_TYPE_ERROR;
    }

    @Override
    public String getReason()
    {
        return optionName;
    }

}
